/*   Copyright 2017 Agneta Network Applications, LLC.
 *
 *   Source file: services/config/language/account.js
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */
module.exports = {
  requestPassword: {
    en: 'We sent you an email with a link to reset your password',
    gr: 'Σας στείλαμε ένα email με έναν σύνδεσμο για να επαναφέρετε τον κωδικό πρόσβασής σας.'
  },
  passwordChanged: {
    en: 'Your password has changed. Next time you login, enter your new password.',
    gr: 'Ο κωδικός πρόσβασης έχει αλλάξει. Την επόμενη φορά που θα συνδεθείτε, πληκτρολογήστε τον νέο κωδικό πρόσβασης.'
  },
  passwordChangedSubject: {
    en: 'Your password has changed',
    gr: 'Ο κωδικός πρόσβασης έχει αλλάξει'
  },
  recoveryRequested: {
    en: 'We sent you an email with a link to reset your password.',
    gr: 'Σας στείλαμε email με έναν σύνδεσμο για να επαναφέρετε τον κωδικό πρόσβασής σας.'
  },
  verified:{
    en: 'Now you can login to your account using your email and password.',
    gr: 'Τώρα μπορείτε να συνδεθείτε στο λογαριασμό σας χρησιμοποιώντας το email και τον κωδικό πρόσβασής σας.'
  },
  recovered:{
    en: 'Your account is successfully recovered. Next time you login, enter your new password.',
    gr: 'Ο λογαριασμός σας έχει ανακτηθεί με επιτυχία. Την επόμενη φορά που θα συνδεθείτε, πληκτρολογήστε τον νέο κωδικό πρόσβασης.'
  },
  resendingVerification:{
    en: 'We are sending you another email for verifying your account.',
    gr: 'Σας στέλνουμε ένα άλλο email για την επαλήθευση του λογαριασμού σας.'
  },
  noIdentity:{
    en: 'Must enter username or email',
    gr: 'Πρέπει να εισαγάγετε το όνομα χρήστη ή το email'
  },
  notFound:{
    en: 'Could not find the account. Check your email or username.',
    gr: 'Δεν ήταν δυνατή η εύρεση του λογαριασμού. Ελέγξτε το email ή το όνομα χρήστη σας.'
  },
  deactivated:{
    en: 'Cannot login. Account is Deactivated.',
    gr: 'Δεν είναι δυνατή η σύνδεση. Ο λογαριασμός είναι απενεργοποιημένος.'
  },
  invalidRole:{
    en: 'The account does not have a valid role to signin',
    gr: 'Ο λογαριασμός δεν έχει έγκυρο ρόλο στη σύνδεση'
  },
  exists:{
    en: 'Account is already registered.',
    gr: 'Ο λογαριασμός έχει ήδη καταχωρηθεί.'
  },
  registeredSubject:{
    en: 'Thanks for registering',
    gr: 'Σας ευχαριστούμε για την εγγραφή'
  },
  wrongPassword:{
    en: 'You have entered an invalid password. Please try again.',
    gr: 'Έχετε εισάγει έναν μη έγκυρο κωδικό πρόσβασης. Παρακαλώ δοκιμάστε ξανά.'
  }
};
