/*   Copyright 2017 Agneta Network Applications, LLC.
 *
 *   Source file: services/middleware/force-https.js
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */
module.exports = function() {
  return function(req, res, next) {

    if (!req.secure) {
      var secureUrl = 'https://' + req.headers.host + req.url;
      res.writeHead(301, {
        'Location': secureUrl
      });
      res.end();
      return;
    }
    next();
  };
};
